# Generated by Django 4.1 on 2022-09-04 10:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone', models.CharField(max_length=10)),
                ('time_zone', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Code',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=3)),
            ],
        ),
        migrations.CreateModel(
            name='Mailing',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time_start', models.DateTimeField()),
                ('text', models.CharField(max_length=255)),
                ('time_stop', models.DateTimeField()),
                ('codes', models.ManyToManyField(to='notifications_app.code')),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_time', models.DateTimeField()),
                ('status', models.CharField(choices=[('D', 'Message is delivered'), ('ND', 'Message is not delivered')], default='ND', max_length=2)),
                ('client', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='notifications_app.client')),
                ('mailing', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='notifications_app.mailing')),
            ],
        ),
        migrations.AddField(
            model_name='mailing',
            name='tags',
            field=models.ManyToManyField(to='notifications_app.tag'),
        ),
        migrations.AddField(
            model_name='client',
            name='code',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='notifications_app.code'),
        ),
        migrations.AddField(
            model_name='client',
            name='tag',
            field=models.ManyToManyField(to='notifications_app.tag'),
        ),
    ]
